--Random geomorphic dungeon game---
--[[ README! Important File structure Info
"Assets" contains Textures used for player, and all non map objects
"Region maps" contains textures, and map files for each region. they are
separated into biomes, and further into similar duplicates [almost identical rooms, so when generator places two of the same rooms near each other this will prevent repetition.]
"lib" contains lua files for functions as well as any modifications.
]]--
------------------------
require("Texture")
require("Map")
require("Functions")
require("Region maps.Regions")
------------------------
tilex = 16
tiley = 16
roomx = 33--1*tilex
roomy = 33--1*tiley
mapx = 0--roomx
mapy = 0--roomy
------------------------
min = 1
max = 1
------------------------
p = {x = 10, y = 10, h = 100, s = 128}
gr = love.graphics
board = love.keyboard
Map()
Tex()
ICommandThee = "GENERATE!"
font = 7
scal = 1
------------------------
function love.load()
	gr.setBackgroundColor(80, 0, 0)
	love.mouse.setVisible(false)
	gr.setNewFont(font)
end
------------------------
function love.update(dt)
	Labyrinth(ICommandThee)
	ICommandThee = "HALT!"
	Mousepos()
	Control(dt)
end
function love.keypressed(k)
	if k == 'escape' then
		love.event.quit()
	end
	if k == 'n' then
		ICommandThee = "GENERATE!"
	end
	if k == 'm' then
		ICommandThee = "NUM!"
	end
end
------------------------
function love.draw(dt)
	--Draw()
	gr.print(p.h.." x:"..mapx.."y:"..mapy, 2, 2)
------------------------
	gr.line(mousex, 0, mousex, gr.getHeight())
	gr.line(0, mousey, gr.getWidth(), mousey)
	gr.print('['..mousex..','..mousey..']', mousex+5, mousey+5)
------------------------
end