--Here Be Thy Functions
function DrawRegions(x, y, r)
	for A,ycord in ipairs(Region..r) do
		for B,xcord in ipairs(ycord) do
			gr.print(xcord, A+x, B+y)
		end
	end
end
------------------------[c]
function Labyrinth(ThyCommand)
	if ThyCommand == "GENERATE!" then
		for i,ycord in ipairs(map) do
			for j,xcord in ipairs(ycord) do
				map[i][j] = Region[love.math.random(min, max)]
				DrawRegions(i, j, map[i][j])
			end
		end
		map[16][16] = 2
	end
end
------------------------[c]
function Draw()
	for i,ycord in ipairs(map) do
		for j,xcord in ipairs(ycord) do
			if xcord == 0 then
				gr.draw(Tex, a[15], i*roomx+mapx, j*roomy+mapy)
			else
				gr.draw(Tex, a[xcord], i*roomx+mapx, j*roomy+mapy)
			end
			if ICommandThee == "NUM!" then
				gr.print(map[i][j], i*roomx+mapx, j*roomy+mapy)
			end
		end
	end
end
------------------------[c]
function Mousepos()
	mousex = love.mouse.getX()
	mousey = love.mouse.getY()
end
------------------------[c]
function Control(at)
	if board.isDown('a') then
		mapx = mapx+p.s*at
	end
	if board.isDown('d') then
		mapx = mapx-p.s*at
	end
	if board.isDown('w') then
		mapy = mapy+p.s*at
	end
	if board.isDown('s') then
		mapy = mapy-p.s*at
	end
end
------------------------